﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TibcoQueueMonitor.Entities;

namespace TibcoQueueMonitor.Interfaces
{
    /// <summary>
    /// Interface that describes methods required to be implemented by an
    /// object in order to produce test TIBCO EMS administration data.
    /// </summary>
    public interface IOfflineDataGenerator
    {
        /// <summary>
        /// Generates offline data.
        /// </summary>
        /// <returns></returns>
        TibcoAdministrationData GenerateOfflineTestData();
    }
}
