﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor.TibcoAdminManagers
{
    /// <summary>
    /// A set of constants used by the TibcoAdmin managers.
    /// </summary>
    public class Constants
    {
        #region Constants
        public const char CarriageReturn = '\r';
        public const char Newline = '\n';
        public const string Kilobyte = "Kb";
        public const string Megabyte = "MB";
        public const string CommandQueues = "Command: show queues";
        public const string CommandConnections = "Command: show connections";
        public const string CommandConsumers = "Command: show consumers";

        public const string RegExSearchRight = @"\s+?\w";
        public const string RegExSearchLeft = @"\w\s+?";

        public const string OffsetHeaderQueuesSNFG = "SNFGXIBCT";
        public const string OffsetHeaderQueuesQueueName = "Queue Name";
        public const string OffsetHeaderQueuesReceivers = "Rcvrs";
        public const string OffsetHeaderQueuesMessages = "Msgs";
        public const string OffsetHeaderQueuesMessageSize = "Size";

        public const string OffsetHeaderConnectionsClientType = "L";
        public const string OffsetHeaderConnectionsId = "ID";
        public const string OffsetHeaderConnectionsFSXT = "FSXT";
        public const string OffsetHeaderConnectionsHost = "Host";
        public const string OffsetHeaderConnectionsUser = "User";
        public const string OffsetHeaderConnectionsClientId = "ClientID";
        public const string OffsetHeaderConnectionsSession = "Sess";
        public const string OffsetHeaderConnectionsUptime = "Uptime";

        public const string OffsetHeaderConsumersMsgs = "Msgs";
        public const string OffsetHeaderConsumersId = "Id";
        public const string OffsetHeaderConsumersConn = "Conn";
        public const string OffsetHeaderConsumersUser = "User";
        public const string OffsetHeaderConsumersConsumerType = "T";
        public const string OffsetHeaderConsumersQueue = "Queue";
        public const string OffsetHeaderConsumersFlags = "SAS";

        public const string ClientTypeJava = "J";
        public const string ClientTypeJavaLabel = "Java";
        public const string ClientTypeC = "C";
        public const string ClientTypeCSharp = "#";
        public const string ClientTypeCSharpLabel = ".NET";
        public const string ClientTypeUnknownLabel = "Unknown";

        public const string ConsumerTypeActive = "Q";
        #endregion //Constants
    }
}
